import { ScatterTriangulationSeries } from "./ScatterTriangulationSeries";
import { ColorScale } from "./ColorScale";
import { Type, Point } from "igniteui-react-core/ES2015/type";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { Color } from "igniteui-react-core/ES2015/Color";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { RenderSurface } from "./RenderSurface";
import { SeriesView } from "./SeriesView";
import { WriteableBitmap } from "igniteui-react-core/ES2015/WriteableBitmap";
import { TriangleRasterizer } from "./TriangleRasterizer";
import { ScalerParams } from "./ScalerParams";
import { ObservableColorCollection } from "igniteui-react-core/ES2015/ObservableColorCollection";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class ScatterAreaSeries extends ScatterTriangulationSeries {
    static $t: Type;
    constructor();
    private nd;
    ne: ColorScale;
    private nr;
    nm: string;
    private ni;
    private nj;
    protected get_dp(): boolean;
    protected set_dp(a: boolean): void;
    protected is(a: any, b: string, c: any, d: any): void;
    i7(a: boolean): void;
    i5(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected ns(a: SeriesView): void;
    private np;
    fm(a: Point): any;
    protected nb: number[];
    protected nc: number[];
    nh(a: SeriesView, b: ScalerParams, c: ScalerParams): TriangleRasterizer;
    na: Color[];
    protected nk(): ObservableColorCollection;
    protected nf(): ColorScale;
    hp(a: boolean, b: SeriesView): void;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    ng: ScatterAreaSeriesView;
    nq(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterAreaSeriesView extends SeriesView {
    static $t: Type;
    private by;
    private bu;
    bx: number[];
    constructor(a: ScatterAreaSeries);
    b7(a: number, b: number): void;
    b3(a: any): void;
    private b2;
    private b1;
    private b0;
    bv(): number[];
    bw(a: boolean): number[];
    private b6;
    bz(a: Rect, b: ColorScale, c: IFastItemColumn$1<number>): TriangleRasterizer;
    b5(a: TriangleRasterizer): void;
    b4(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    b8(a: WriteableBitmap): void;
    ai(a: any): void;
    getDefaultTooltipTemplate(): string;
}
